org.apache.solr.client.solrj.io.eq

## Class MultipleFieldEqualitor

- java.lang.Object
- - org.apache.solr.client.solrj.io.eq.MultipleFieldEqualitor

All Implemented Interfaces:
  Serializable, Equalitor<Tuple>, StreamEqualitor, Expressible

    public class MultipleFieldEqualitor
    extends Object
    implements StreamEqualitor

Wraps multiple Equalitors.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`MultipleFieldEqualitor(StreamEqualitor... eqs)`

### Method Summary

All Methods Instance Methods Concrete Methods
`StreamEqualitor[]` `getEqs()`
`boolean` `isDerivedFrom(StreamComparator base)`
`boolean` `isDerivedFrom(StreamEqualitor base)`
`boolean` `test(Tuple t1, Tuple t2)`
`StreamExpressionParameter` `toExpression(StreamFactory factory)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MultipleFieldEqualitor

    public MultipleFieldEqualitor(StreamEqualitor... eqs)

### Method Detail

#### getEqs

    public StreamEqualitor[] getEqs()

#### toExpression

    public StreamExpressionParameter toExpression(StreamFactory factory)
                                           throws IOException

Specified by:
  `toExpression` in interface `Expressible`
Throws:
  `IOException`

#### isDerivedFrom

    public boolean isDerivedFrom(StreamEqualitor base)

Specified by:
  `isDerivedFrom` in interface `StreamEqualitor`

#### isDerivedFrom

    public boolean isDerivedFrom(StreamComparator base)

Specified by:
  `isDerivedFrom` in interface `StreamEqualitor`

#### test

    public boolean test(Tuple t1,
                        Tuple t2)

Specified by:
  `test` in interface `Equalitor<Tuple>`